# putwchar

From cppreference.com
< c‎ | io

Defined in header `<wchar.h>` |  |
wint_t putwchar( wchar_t ch ); |  | (since C95)

Writes a wide character `ch` to `stdout`

### Parameters

ch | - | wide character to be written

### Return value

`ch` on success, WEOF on failure.

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.29.3.9 The putwchar function (p: 425)

- C99 standard (ISO/IEC 9899:1999):

  - 7.24.3.9 The putwchar function (p: 370)

### See also

putchar | writes a character to `stdout` (function)
fputwcputwc (C95) | writes a wide character to a file stream (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/io/putwchar&oldid=77742"